Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## morfologik.tools
Class StempelatorTool

    java.lang.Object
      morfologik.tools.BaseCommandLineTool
          morfologik.tools.StempelatorTool

    public final class StempelatorTool

extends BaseCommandLineTool

Command-line utility for stemming text using `Stempelator`.

See Also:
  `TextStemmingTool`

Field Summary

Fields inherited from class morfologik.tools.BaseCommandLineTool
`cliOptions, logger`

Constructor Summary
`StempelatorTool()`

Method Summary
`protected void` | `go(org.apache.commons.cli.CommandLine line)` Override and write your stuff using command line options.
`protected void` | `initializeOptions(org.apache.commons.cli.Options options)` Command line options for the tool.
`static void` | `main(java.lang.String[] args)` Program's entry point.
`protected long` | `process(java.io.Reader input, java.io.Writer output)` Process input stream, writing to output stream.

Methods inherited from class morfologik.tools.BaseCommandLineTool
`getLogger, go, printUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StempelatorTool

    public StempelatorTool()
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Program's entry point.

  Throws:
    `java.lang.Exception`

### go

    protected void go(org.apache.commons.cli.CommandLine line)
               throws java.lang.Exception

  Description copied from class: `BaseCommandLineTool`
  Override and write your stuff using command line options.

  Specified by:
    `go` in class `BaseCommandLineTool`
  Throws:
    `java.lang.Exception`

### process

    protected long process(java.io.Reader input,
                           java.io.Writer output)
                    throws java.io.IOException

  Process input stream, writing to output stream.

  Returns:
    Returns the number of processed words.
  Throws:
    `java.io.IOException`

### initializeOptions

    protected void initializeOptions(org.apache.commons.cli.Options options)

  Command line options for the tool.

  Specified by:
    `initializeOptions` in class `BaseCommandLineTool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD